=== debian/changelog ===
nspluginwrapper (1.1.2-0ubuntu1) intrepid; urgency=low

  * New upstream release: 1.1.2 (LP: #283673)
  * Remove patch applied upstream:
    - drop debian/patches/005_crash_in_visual_id.diff
    - update update debian/patches/series

 -- Fabien Tassin <fta@ubuntu.com>  Wed, 15 Oct 2008 17:34:17 +0200

nspluginwrapper (1.1.0-0ubuntu2) intrepid; urgency=low

  * fix firefox crashes by null-deref of visual-id by Martin Stransky
    <stransky@redhat.com> - nspluginwrapper-1.1.0-visual-id.patch (rev 1.1)
    - add debian/005_crash_in_visual_id.diff
  * more fedora patch synchs:
    + nspluginwrapper-1.1.0-runtime-restart.patch (rev 1.2)
      - add debian/patches/006_runtime-restart.diff
      - update debian/patches/series
    + nspluginwrapper-1.1.0-fork.patch (rev 1.2)
      - add debian/patches/007_redhat_fork.diff
      - update debian/patches/series

 -- Alexander Sack <asac@ubuntu.com>  Tue, 02 Sep 2008 14:50:40 +0200

nspluginwrapper (1.1.0-0ubuntu1) intrepid; urgency=low

  * Add libcurl4-gnutls-dev as build-depenedency

 -- Sasa Bodiroza <jazzva@gmail.com>  Thu, 28 Aug 2008 00:48:30 +0200

nspluginwrapper (1.1.0-0ubuntu1~mt2) intrepid; urgency=low

  * Bump Standards-Version in debian/control
  * Fix lintian warning debian-rules-ignores-make-clean-error

 -- Sasa Bodiroza <jazzva@gmail.com>  Wed, 27 Aug 2008 03:16:09 +0200

nspluginwrapper (1.1.0-0ubuntu1~mt1) intrepid; urgency=low

  * New upstream release
  * Refresh patches
  * Add manpage for nspluginplayer:
    - Add debian/nspluginplayer.1
    - Add it to dh_installman call in debian/rules
  * Fix Section field (universe/utils to utils) in debian/control
  * Don't install empty dirs usr/sbin and usr/lib/iceweasel/plugins in
    debian/dirs

 -- Sasa Bodiroza <jazzva@gmail.com>  Wed, 27 Aug 2008 02:52:30 +0200

nspluginwrapper (1.0.0-0ubuntu1~mt1) intrepid; urgency=low

  * New upstream release
  * Refresh patches:
    - 000_debian_make_symlinks.diff - modify is_system_wide_plugin_wrapper()
      to has_system_wide_plugin_wrapper()
    - 001_remove_bashisms.diff
    - 002_install_to_NSPLUGINDIR.diff
    - 003_update_help_info.diff
    - 004_fix_threading.diff - remove part for src/npw-viewer.c, applied
      upstream

 -- Sasa Bodiroza <jazzva@gmail.com>  Fri, 01 Aug 2008 03:56:07 +0200

nspluginwrapper (0.9.91.5-2ubuntu3~mt1) intrepid; urgency=low

  * debian/control: i386 support requires us to make a bunch of biarch
    build depends arch dependent [amd64]
  * 004_fix_threading.diff: we take care that i386 build succeeds and update
    the thread to add the -lgthread-2.0 flag outside biarch-only scope in
    Makefile
  * debian/rules: if we are not on x86_64 we dont want to use the lib32
    and biarch configure switches.

 -- Alexander Sack <asac@ubuntu.com>  Tue, 22 Jul 2008 16:14:26 +0200

nspluginwrapper (0.9.91.5-2ubuntu2) hardy; urgency=low

  * No source change rebuild to resolve crashing against xulrunner 1.9b5
   - MOTU Release approved (LP: #212855)

 -- John Dong <jdong@ubuntu.com>  Thu, 10 Apr 2008 14:01:35 -0400

nspluginwrapper (0.9.91.5-2ubuntu1) hardy; urgency=low

  [ Stefan Ebner ]
  * Merge from Debian unstable. (LP: #196540) Remaining Ubuntu changes:
  * debian/control:
    - Modify Maintainer value to match Debian-Maintainer-Field Spec
    - Removed ia32-libs-gtk and util-linux from depends
    - Changed Xs-Vcs-Bzr field to Xs-Vcs-Bzr:
      http://code.launchpad.net/~ubuntu-dev/nspluginwrapper/ubuntu

  [ Christopher James Halse Rogers ]
  * New Ubuntu changes:
  * debian/shlibs.local:
    - Drop.  We don't have a ia32-libs-gtk package, and the package builds
      fine without it.

 -- Christopher James Halse Rogers <raof@ubuntu.com>  Tue, 18 Mar 2008 20:22:14 +1100

nspluginwrapper (0.9.91.5-2) unstable; urgency=low

  * linux32 is now provided by util-linux, so remove runtime dep on
    linux32 (no longer installable)
  * Fix issues on SMP by initialising and using gthreads in glib
    - patch is 004_fix_threading.diff (Closes: #458584)
  * Enable 003_update_help_info.diff, which for some reason I forgot to
    put into the quilt series file
  * Add a shlibs.local file for ia32-libs-gtk dep generation - in the
    absence of a ia32-libs-gtk-dev package, this fixes the FTBFS
    Thanks to Dan Callahan (Closes: #462198)

 -- Rob Andrews <rob@choralone.org>  Mon, 28 Jan 2008 23:27:29 +0000

nspluginwrapper (0.9.91.5-1ubuntu1) gutsy; urgency=low

  [ Scott Kitterman ]
  * Merge from Debian unstable. Remaining Ubuntu changes:
  * debian/control:
    - Changed maintainer field to Ubuntu MOTU Developers
      <ubuntu-motu@lists.ubuntu.com>
    - Moved old maintainer to XSBC-Original-Maintainer: Rob Andrews
      <rob@choralone.org>
    - Removed ia32-libs-gtk from depends
    - Changed Xs-Vcs-Bzr field to Xs-Vcs-Bzr:
      http://code.launchpad.net/~ubuntu-core-dev/nspluginwrapper/ubuntu

  [ Philipp Kern ]
  * debian/control:
    - Removed the linux32 dependency; the corresponding binary is
      provided by util-linux on Ubuntu.

 -- Philipp Kern <pkern@debian.org>  Wed, 10 Oct 2007 22:47:28 +0200

nspluginwrapper (0.9.91.5-1) unstable; urgency=low

  * New upstream release
  * Remove 003_fix_xembed_grab_keys.diff, as 0.9.91.5 fixes this issue
  * Remove manual dependencies on ia32-libs, the build-dep covers this
    issue
  * Add 003_update_help_info.diff, specify that a plugin is needed when
    using -u option, also update manpage accordingly (Closes: #436410)

 -- Rob Andrews <rob@choralone.org>  Sun, 02 Sep 2007 11:38:43 +0100

nspluginwrapper (0.9.91.4-4) unstable; urgency=low

  * Change Priority: extra to "optional"
  * Add patch 002_install_to_NSPLUGINDIR.patch from Ubuntu
    (thanks Alexander Sack)
  * Fix XEmbed issue where plugin was able to grab keystrokes
    from other applications when browser had lost focus
    - patch is 003_fix_xembed_grab_keys.diff
    (Closes: #435912)

 -- Rob Andrews <rob@choralone.org>  Sun, 19 Aug 2007 20:17:33 +0100


