## nspluginwrapper 1.2.2

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #
-#  nspluginwrapper Makefile (C) 2005-2008 Gwenole Beauchesne
+#  nspluginwrapper Makefile (C) 2005-2009 Gwenole Beauchesne
 #
 -include config.mak
 
@@ -103,7 +103,7 @@
 MOZILLA_CFLAGS = -I$(SRC_PATH)/npapi -I$(SRC_PATH)/npapi/nspr
 
 npwrapper_LIBRARY = npwrapper.so
-npwrapper_RAWSRCS = npw-wrapper.c npw-rpc.c rpc.c debug.c utils.c npruntime.c
+npwrapper_RAWSRCS = npw-wrapper.c npw-common.c npw-malloc.c npw-rpc.c rpc.c debug.c utils.c npruntime.c
 npwrapper_SOURCES = $(npwrapper_RAWSRCS:%.c=$(SRC_PATH)/src/%.c)
 npwrapper_OBJECTS = $(npwrapper_RAWSRCS:%.c=npwrapper-%.os)
 npwrapper_CFLAGS  = $(CFLAGS) $(X_CFLAGS) $(MOZILLA_CFLAGS) $(GLIB_CFLAGS)
@@ -111,7 +111,7 @@
 npwrapper_LDFLAGS += $(GLIB_LDFLAGS)
 
 npviewer_PROGRAM = npviewer.bin
-npviewer_RAWSRCS = npw-viewer.c npw-rpc.c rpc.c debug.c utils.c npruntime.c
+npviewer_RAWSRCS = npw-viewer.c npw-common.c npw-malloc.c npw-rpc.c rpc.c debug.c utils.c npruntime.c
 npviewer_SOURCES = $(npviewer_RAWSRCS:%.c=$(SRC_PATH)/src/%.c)
 npviewer_OBJECTS = $(npviewer_RAWSRCS:%.c=npviewer-%.o)
 ifeq ($(biarch),yes)
@@ -193,7 +193,11 @@
 test_rpc_server_CPPFLAGS = $(CPPFLAGS) -I$(SRC_PATH)/src -DBUILD_SERVER -DNPW_COMPONENT_NAME="\"Server\""
 test_rpc_CFLAGS			 = -I$(SRC_PATH)/src $(GLIB_CFLAGS)
 test_rpc_LDFLAGS		 = $(GLIB_LDFLAGS) $(libpthread_LDFLAGS) $(libsocket_LDFLAGS)
-test_rpc_RAWPROGS		 = test-rpc-types test-rpc-nested test-rpc-concurrent
+test_rpc_RAWPROGS		 = \
+	test-rpc-types \
+	test-rpc-nested-1 \
+	test-rpc-nested-2 \
+	test-rpc-concurrent
 test_rpc_PROGRAMS		 = \
 	$(test_rpc_RAWPROGS:%=%-client) \
 	$(test_rpc_RAWPROGS:%=%-server)
@@ -249,7 +253,7 @@
 distclean: clean
 	rm -f config-host.* config.*
 
-uninstall: uninstall.player uninstall.wrapper uninstall.viewer uninstall.libxpcom uninstall.libnoxshm uninstall.loader uninstall.config uninstall.mkruntime uninstall.dirs
+uninstall: uninstall.player uninstall.wrapper uninstall.viewer uninstall.libxpcom uninstall.libnoxshm uninstall.loader uninstall.config uninstall.dirs
 uninstall.dirs:
 	rmdir $(DESTDIR)$(pkglibdir)/noarch
 	rmdir $(DESTDIR)$(pkglibdir)/$(ARCH)/$(OS)
@@ -277,7 +281,7 @@
 uninstall.mkruntime:
 	rm -f $(DESTDIR)$(pkglibdir)/noarch/mkruntime
 
-install: install.dirs install.player install.wrapper install.viewer install.libxpcom install.libnoxshm install.loader install.config install.mkruntime
+install: install.dirs install.player install.wrapper install.viewer install.libxpcom install.libnoxshm install.loader install.config
 install.dirs:
 	mkdir -p $(DESTDIR)$(pkglibdir)/noarch
 	mkdir -p $(DESTDIR)$(pkglibdir)/$(ARCH)
@@ -328,6 +332,3 @@
 	$(INSTALL) -m 755 $< $(DESTDIR)$(pkglibdir)/noarch/mkruntime
 
 $(archivedir)::
-	[ -d $(archivedir) ] || mkdir $(archivedir) > /dev/null 2>&1
-
-tarball:
